Subject: Re: bug#3860: vc-svn calls "svn resolved" without permission

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Mar 2025 16:49:04 +0200

> Date: Thu, 13 Mar 2025 09:04:52 -0300
> Cc: Eli Zaretskii <[email-masked]>, Dmitry Gutov <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>, [email-masked], [email-masked]
> From: Mauro Aranda <[email-masked]>
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>  >> Cc: [email-masked], [email-masked], [email-masked]
>  >> From: Dmitry Gutov <[email-masked]>
>  >> Date: Fri, 22 Jan 2021 00:35:07 +0200
>  >>
>  >> On 21.01.2021 21:33, Eli Zaretskii wrote:
>  >> > I think if we are going to make this optional with SVN, we should make
>  >> > it optional with the other back-ends as well.  VC always presented a
>  >> > uniform UI and user experience with all back-ends, as far as possible
>  >> > and reasonable.  In this case, I think automatically marking the
>  >> > conflicts as resolved makes a lot of sense, but I won't object to make
>  >> > it opt-out, as long as it's done for every VCS that can support it.
>  >>
>  >> So someone might want to generalize the Git-specific variable:
>  >> vc-git-resolve-conflicts.
>  >
>  > Yes, I think so.
>  >
>  >> But they'd have to consider what to do with the special value
>  >> 'unstage-maybe', which doesn't really make sense for other backends.
>  >
>  > Right.
> 
> I took a shot at it.  Please review the attached patch.

Thanks.

> +(defcustom vc-bzr-resolve-conflicts 'default
> +  "When non-nil, mark conflicted file as resolved upon saving.

"If non-nil" is better, IMO.

> +If this is non-nil and there are no more conflict markers in the file,
> +VC will mark the saved file as resolved.
   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
"VC will mark the conflicts in the saved file as resolved."

Same comments for doc strings of all the other options, since this
text is repeated in all of them.